Get Certificate Dependencies.
curl --request GET \
--url https://{tenant}/api/certs/dependencies/{certId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/certs/dependencies/{certId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/certs/dependencies/{certId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certID": "5e9d9544a1dcd60001d0ed20a6ab77653d5da938f452bb8cc9b55b0630a6743dabd8dc92bfb025abb09ce035",
"client_cert_api_names": [
"Ngrok Dashboard API"
],
"client_cert_apis": [
"edc9b2bd3e7b4cc55c4ff0a7e1529b45"
],
"key_cert": "5e9d9544a1dcd60001d0ed205e9d9544a1dcd60001d0ed20a6ab77653d5da938f452bb8cc9b55b0630a6743dabd8dc92bfb025abb09ce035",
"upstream_cert_api_names": [
"External HTTPbin"
],
"upstream_cert_apis": [
"627efb71ebae49df7a853b9769b65fce"
]
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/certs/dependencies/{certId}",
"Meta": null,
"Status": "Error"
}Certificates
Get Certificate Dependencies.
This will return the API IDs and API names of all APIs that uses this certificates as either upstream certificates or as client certificates.
GET
/
api
/
certs
/
dependencies
/
{certId}
Get Certificate Dependencies.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the certificate you want to fetch dependencies for.
Response
Dependencies fetched.
Example:
"5e9d9544a1dcd60001d0ed20a6ab77653d5da938f452bb8cc9b55b0630a6743dabd8dc92bfb025abb09ce035"
Example:
["Ngrok Dashboard API"]
Example:
["edc9b2bd3e7b4cc55c4ff0a7e1529b45"]
Example:
"5e9d9544a1dcd60001d0ed205e9d9544a1dcd60001d0ed20a6ab77653d5da938f452bb8cc9b55b0630a6743dabd8dc92bfb025abb09ce035"
Example:
["External HTTPbin"]
Example:
["627efb71ebae49df7a853b9769b65fce"]
Was this page helpful?
⌘I